## apt-p2p 0.1.5

=== debian/changelog ===
apt-p2p (0.1.5) unstable; urgency=low

  * Prevent BitTorrent nodes from infiltrating the DHT.
  * Consume ping errors so they aren't printed in the log.
  * Add a logrotate file that should work with the twistd log rotation.

 -- Cameron Dale <camrdale@gmail.com>  Sat, 21 Jun 2008 23:26:42 -0700

apt-p2p (0.1.4) unstable; urgency=low

  * Add remote_fs dependency in init.d LSB header (Closes: #480645)
  * Use the version number in the Khashmir node ID.

 -- Cameron Dale <camrdale@gmail.com>  Sun, 15 Jun 2008 23:20:28 -0700

apt-p2p (0.1.3) unstable; urgency=low

  * Speed up downloading from peers
    - Set a new peer's ranking values so they don't get an unfair
      advantage.
    - Reduce the HTTP connection timeout to 10s.
    - Drop peers after a limited number of errors.
  * Speed up the DHT requests when nodes fail
    - Schedule a re-ping message after adding a new node.
    - When a node fails, schedule a future ping to check again.
    - Send periodic finds to nodes that are stale.
    - Increase the stored value redundancy to 6.
    - Increase the concurrency of DHT requests to 8.
    - Add early termination and ignoring slow responses to
      recursive DHT actions when timeouts occur.
  * Remove the debconf note about port forwarding (Closes: #479492)
    - Add a NEWS entry for port forwarding

 -- Cameron Dale <camrdale@gmail.com>  Fri, 09 May 2008 23:43:13 -0700

apt-p2p (0.1.2) unstable; urgency=low

  * Fixed a bug in the HTTP downloader that caused errors with some
    mirrors that always close the connections (Closes: #479455)

 -- Cameron Dale <camrdale@gmail.com>  Sun, 04 May 2008 22:32:11 -0700

apt-p2p (0.1.1) unstable; urgency=low

  * Fix: no files were added to the DHT due to missing hashing results.
  * Lower the timeout to 9 sec to reduce delays.
  * Be more careful about which nodes get added to the routing table
    - Only add nodes to the routing table that have responded to a request.
    - Don't try and add ourself to the routing table during an action.
    - Don't add local IP addresses to the routing table (with config
      option to override).
    - Fix the broken local IP regexes.
  * Don't log KRPC errors for receiving an invalid store_value token.

 -- Cameron Dale <camrdale@gmail.com>  Sat, 03 May 2008 10:24:35 -0700

apt-p2p (0.1.0) unstable; urgency=low

  * Initial release.

 -- Cameron Dale <camrdale@gmail.com>  Fri, 25 Apr 2008 13:42:40 -0800
