## apt-p2p 0.1.6+nmu1

=== debian/changelog ===
apt-p2p (0.1.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import OpProgress from apt.progress.old (closes: #635969).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 18 Nov 2012 01:53:07 +0000
