## apt-p2p 0.1.7

=== debian/changelog ===
apt-p2p (0.1.7) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Update package to newer standards.
  * Use dh-python instead of python-support.
  * Import OpProgress from apt.progress.base (closes: #745306).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 13 Oct 2014 02:35:23 +0000
