## apt-p2p 0.1.8

=== debian/changelog ===
apt-p2p (0.1.8) unstable; urgency=medium

  * QA upload.
  * Really import OpProgress from apt.progress.base (closes: #778674).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Feb 2015 01:28:47 +0000
