=== debian/control ===
--- 
+++ 
@@ -1,18 +1,29 @@
 Source: apt-p2p
 Section: net
 Priority: optional
-Maintainer: Cameron Dale <camrdale@gmail.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://www.camrdale.org/apt-p2p/
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5.0.37.2)
-Build-Depends-Indep: python, python-support (>= 0.5.4), docbook-to-man
+Standards-Version: 3.9.6
+Build-Depends:
+ debhelper (>= 5.0.37.2),
+Build-Depends-Indep:
+ dh-python,
+ python-dev,
+ docbook-to-man,
 Vcs-Git: git://git.camrdale.org/git/apt-p2p.git
 Vcs-Browser: http://git.camrdale.org/?p=apt-p2p.git;a=summary
-XS-Dm-Upload-Allowed: yes
 
 Package: apt-p2p
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-twisted-web2 (>= 8.0), adduser, python-debian (>= 0.1.15), python-apt (>= 0.7.93), python-pysqlite2 (>= 2.1)
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ adduser,
+ python,
+ python-apt (>= 0.7.93),
+ python-debian (>= 0.1.15),
+ python-pysqlite2 (>= 2.1),
+ python-twisted-web2 (>= 8.0),
 Provides: python-apt-p2p, python-apt-p2p-khashmir
 Description: apt helper for peer-to-peer downloads of Debian packages
  Apt-P2P is a helper for downloading Debian packages files with APT.
