=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 PYTHON_VERSION=$(shell /usr/bin/python -V 2>&1 | /usr/bin/perl -le 'print "$$1.$$2" if <> =~m/^Python\s+(\d+)\.(\d+)(\.\d+)*/')
 
+build-arch:
+build-indep:
 
 build-stamp: apt-p2p.8 apt-p2p.conf.5
 	dh_testdir
@@ -30,11 +31,10 @@
 	dh_installdirs
 
 	./setup.py install --prefix=$(CURDIR)/debian/apt-p2p/usr \
-		--install-lib=$(CURDIR)/debian/apt-p2p/usr/share/python-support/apt-p2p \
 		--install-scripts=$(CURDIR)/debian/apt-p2p/usr/sbin
 
 	# Remove the generated .pyc files
-	( cd debian/apt-p2p/usr/share/python-support/apt-p2p/apt_p2p_Khashmir && \
+	( cd debian/apt-p2p/usr/lib/python2.7/site-packages/apt_p2p_Khashmir && \
 	  rm -f *.pyc  && \
 	  cd ../apt_p2p && \
 	  rm -f *.pyc )
@@ -55,7 +55,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_pysupport
+	dh_python2
 	dh_installinit
 	dh_installdeb
 	dh_shlibdeps
